<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="pers_login" pageWidth="595" pageHeight="842" whenNoDataType="AllSectionsNoDetail" columnWidth="509" leftMargin="56" rightMargin="30" topMargin="56" bottomMargin="20" uuid="17a1bdd6-93ca-487f-ba26-fd6cd31a6ae6">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="REPORT_INFORMATION" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Informationen zum Report]]></parameterDescription>
		<defaultValueExpression><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="REPORT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu diesem Report]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_ROOT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu allen Reports]]></parameterDescription>
	</parameter>
	<parameter name="P_BENUTZERNAME" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_PASSWORT" class="java.lang.String" isForPrompting="false"/>
	<title>
		<band height="1" splitType="Stretch"/>
	</title>
	<pageHeader>
		<band height="125" splitType="Stretch">
			<rectangle>
				<reportElement x="0" y="0" width="260" height="125" uuid="78a689a2-7bcb-4949-b19b-82bdb8e36fc5"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</rectangle>
			<image>
				<reportElement x="80" y="17" width="100" height="100" uuid="479ec4ae-89f8-46e7-93ca-1a315d5c0cbe"/>
				<imageExpression><![CDATA[com.google.zxing.client.j2se.MatrixToImageWriter.toBufferedImage(
     new com.google.zxing.qrcode.QRCodeWriter().encode(
         "$C1"+$P{P_BENUTZERNAME}+"|"+$P{P_PASSWORT},
         com.google.zxing.BarcodeFormat.QR_CODE, 300, 300))]]></imageExpression>
			</image>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="Name" mode="Transparent" x="90" y="105" width="165" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="823145f2-2676-48dc-8dc5-7c0b27526d65"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_BENUTZERNAME}]]></textFieldExpression>
			</textField>
			<componentElement>
				<reportElement x="70" y="25" width="75" height="75" uuid="ea9fbd91-7659-4180-b527-559d1f879f81">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<jr:DataMatrix xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" textPosition="bottom">
					<jr:codeExpression><![CDATA["$C1"+$P{P_BENUTZERNAME}+"|"+$P{P_PASSWORT}]]></jr:codeExpression>
				</jr:DataMatrix>
			</componentElement>
			<staticText>
				<reportElement key="Beschreibung" x="145" y="25" width="115" height="75" uuid="40ae1c9c-5ed1-446a-961b-bf932484e603">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Das ist das Login-Lable für den Memor
Das Password wird bereits verschlüsselt übergeben.
Es sind sowohl Benutzerdaten als auch das verschlüsselte PW enthalten
Keine Umlaute in Benutzername bzw. Passwort.]]></text>
			</staticText>
		</band>
	</pageHeader>
	<detail>
		<band splitType="Stretch"/>
	</detail>
</jasperReport>
